Bug 126357 - Ability to verify, from .rpm package, *only* packages that are installed.
Ability to verify, from .rpm package, *only* packages that are installed.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-19 22:58 EDT by Ben Smith
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-20 09:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Smith 2004-06-19 22:58:32 EDT
Description of problem:
I'd like to be able to verify, from a directory of rpm packages, only
those packages which are installed on the system, and ignore all others.

I know I can do this with a little scripting, but it's quite slow and
cumbersome.
Comment 1 Jeff Johnson 2004-06-20 09:51:52 EDT
You want to verify installed headers and files from the original
packages? Try
    cd /directory/of/rpms
    rpm -Vp *.rpm 2>&1 | grep -v missing
is neither slow nor cumbersome.

Not exactly what you asked for, as files that have been erased
in installed packages will be undetected, but pretty darn close.

Note You need to log in before you can comment on or make changes to this bug.